2019-08-24 02:48 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006019Spring engineLuapublic2018-09-26 01:38
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006019: Spring.IsAABBInView seems incorrect
DescriptionI'm using it 4 times to check if the camera sees any of the map edges.
It only isn't false positive when you view the map from top-down, but when you tilt it could return true while i m sure its not in view. I'm also sure I use correct coordinates cause I tested with drawing them on the map as well.

AABB boxes:
https://i.imgur.com/YidpJsM.jpg

IsAABBInView returning true:
https://i.imgur.com/dxRlWT5.jpg


Used in map_edge_extension widget:
https://github.com/Balanced-Annihilation/Balanced-Annihilation/blob/master/luaui/Widgets_BA/map_edge_extension.lua#L418
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019269

Floris (reporter)

still happens in 104.0.1-583

~0019362

Kloot (developer)

Fix 03d7e8e896346e53bc5468b064a8684e894369ae committed to develop branch: fix 0006019, repo: spring changeset id: 10734

~0019363

Kloot (developer)

Fix e5c596fdd8f3a4ced169d05a6df3dc2aa7c5d04e committed to maintenance branch: fix 0006019

Conflicts:
    rts/Game/Camera.cpp, repo: spring changeset id: 10735
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-07-21 23:14 Floris New Issue
2018-07-30 10:35 Kloot Assigned To => Kloot
2018-07-30 10:35 Kloot Status new => resolved
2018-07-30 10:35 Kloot Resolution open => fixed
2018-07-30 10:35 Kloot Fixed in Version => 104.0 +git
2018-07-30 16:36 Floris Status resolved => feedback
2018-07-30 16:36 Floris Resolution fixed => reopened
2018-07-30 16:36 Floris Note Added: 0019269
2018-09-26 01:36 Kloot Changeset attached => spring develop 03d7e8e8
2018-09-26 01:36 Kloot Note Added: 0019362
2018-09-26 01:36 Kloot Status feedback => resolved
2018-09-26 01:36 Kloot Resolution reopened => fixed
2018-09-26 01:38 Kloot Changeset attached => spring maintenance e5c596fd
2018-09-26 01:38 Kloot Note Added: 0019363
+Issue History